#
# spec file for package xpvm (Version 1.2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  pvm readline readline-devel tcl tcl-devel tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pvm rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         xpvm
Copyright:    (C) 1994 Oak Ridge National Laboratory, Oak Ridge TN.
Group:        Applications/Clustering
Url:		http://www.netlib.org/pvm3/
Requires:     pvm tcl tk
Autoreqprov:  on
Version:      1.2.5
Release:      415
Summary:      A graphical console and monitor for PVM
Source0:  XPVM.src.1.2.5.tgz
Source1:  XPVM.ug.pdf.bz2
Patch:    xpvm.dif
buildRoot: /tmp/XPVM-%{version}-root

%description
XPVM is a graphical console and monitor for PVM. It provides a
graphical interface to the PVM console commands and information,
along with several animated views to monitor the execution of PVM
programs.  These views provide information about the interactions
among tasks in a parallel PVM program, to assist in debugging and
performance tuning.

Authors:
--------
    James Arthur Kohl <kohl@msr.epm.ornl.gov>
    G. A. Geist

SuSE series: beo

%prep
%setup -q -n xpvm
%patch

%build
export XPVM_ROOT=$RPM_BUILD_DIR/xpvm
export PVM_ROOT=/usr/share/pvm3
export PVM_ARCH=`/usr/bin/pvmgetarch`
make

%install
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 0755 $RPM_BUILD_DIR/xpvm/src/LINUX*/xpvm $RPM_BUILD_ROOT/usr/X11R6/bin
LIBDIR=/usr/X11R6/lib/xpvm
install -d -m 755 $RPM_BUILD_ROOT$LIBDIR
install -d -m 755 $RPM_BUILD_ROOT$LIBDIR/src
install -d -m 755 $RPM_BUILD_ROOT$LIBDIR/src/xbm
install -d -m 755 $RPM_BUILD_ROOT$LIBDIR/src/help
install -m 0644 $RPM_BUILD_DIR/xpvm/*.tcl $RPM_BUILD_ROOT$LIBDIR
install -m 0644 $RPM_BUILD_DIR/xpvm/src/xbm/*.xbm $RPM_BUILD_ROOT$LIBDIR/src/xbm
install -m 0644 $RPM_BUILD_DIR/xpvm/src/help/*.help $RPM_BUILD_ROOT$LIBDIR/src/help
cp $RPM_SOURCE_DIR/XPVM.ug.pdf.bz2 .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc XPVM.ug.pdf.bz2 README
/usr/X11R6/bin/xpvm
/usr/X11R6/lib/xpvm

%changelog -n xpvm
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Thu Nov 16 2000 - nashif@suse.de
- Removed Provides Tag
- Using pvmgetarch to determine architecture.
* Wed Jul 05 2000 - nashif@suse.de
- Fixed spec file for sparc
* Tue May 23 2000 - nashif@suse.de
- Fixed to work with tcl/tk 8.3
* Thu May 11 2000 - nashif@suse.de
- Use BuildRoot
- Fix group and url tags in spec file
- Manual is now in pdf to reduce size
* Mon Apr 24 2000 - nashif@suse.de
- spec cleanup
* Tue Jan 18 2000 - nashif@suse.de
- Fixed problem with undefined PVMROOT
* Tue Oct 12 1999 - ro@suse.de
- added tcld to neededforbuild / use 8.0 versions of tcl/tk
* Tue Sep 21 1999 - uli@suse.de
- fixed spec for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 13 1999 - ro@suse.de
- alpha build fix
* Tue Aug 04 1998 - grimmer@suse.de
- new version 1.2.5
- modified specfile (help-texts included)
* Fri Jul 10 1998 - grimmer@suse.de
- new package, Version 1.2.4
